<template>
    <toolbar-resource-search
        v-if="searchable"
        v-bind="$attrs"
    />
    <toolbar-resource-dropdown
        v-else
        v-bind="$attrs"
    />
</template>

<script>
import ToolbarResourceDropdown from './ToolbarResourceDropdown'
import ToolbarResourceSearch from './ToolbarResourceSearch'

export default {
    components: { ToolbarResourceDropdown, ToolbarResourceSearch },
    props: {
        searchable: {
            type: Boolean,
            default: false
        }
    }
}
</script>

<style scoped>

</style>
